// FILENAME:	DM_Tank_Arena.cs
//
// AUTHOR:  	SLaSh
//------------------------------------------------------------------------------

$missionName = "DM_Tank_Arena";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

//-------------------------------------------------------------
function player::onAdd(%this)
{
   say(%this, 0, "'Making no mistakes is what establishes the certainty of victory, for it means conquering    an enemy that is already defeated.' -Sun Tzu // Let this hereby be the creed of the arena.");
}

function onMissionStart()
{
	initGlobalVars();
   
	marsSounds();
}

// Transporter Functionality
// --------------------------------------------------------------------------
function ZenTransporter::structure::onAttacked(%this, %object)
{
	setPosition(%object, -44.8733, 449.052, 251.956);
}
function ZenTransporter2::structure::onAttacked(%this, %object)
{
	setPosition(%object, 404.58, -1037.99, 281.123);
}
function ZenTransporter3::structure::onAttacked(%this, %object)
{
	setPosition(%object, 400.353, 189.148, 183.353);
}
function ZenTransporter4::structure::onAttacked(%this, %object)
{
	setPosition(%object, 399.092, -306.804, 132.46);
}
