// FILENAME:	DM_Death_Dome.cs
//
// AUTHOR:  	SLaSh.
//------------------------------------------------------------------------------

$missionName = "DM_Death_Dome";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function onMissionStart()
{
	// Keep tracks of hercs near a door
	$HercsAtDoor1 = 0; 
}

//---------------------------------------------------------------------------

function player::onAdd(%this)
{
   say(%this, 0, "=EtG= SLaSh:  Welcome to the Death Dome.  Send all feedback to ravensds@yahoo.com.  This map is currently <f5>UNDER CONSTRUCTION!");
}

// Blast Door Functionality
// --------------------------------------------------------------------------

function open1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlastDoors\\door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function open1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlastDoors\\door1"), 0, false);
	}
}

// Transporter Functionality
// --------------------------------------------------------------------------

function tele1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 488.216;
   %variableName2 = 575.222;
   %variableName3 = 92;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function tele2::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 600.057;
   %variableName2 = 575.222;
   %variableName3 = 92;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}