// FILENAME:	Playin'_God.cs
//
// AUTHOR:  	SLaSh. ravensds@yahoo.com (Some scripts borrowed from M.I.B.)
//------------------------------------------------------------------------------

$missionName = "Playin'_God";

exec("playin'_godStdLib.cs");
exec("DMStdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
        $server::disableTeamRed = true;
        $server::disableTeamBlue = true;
        $server::disableTeamYellow = false;
        $server::disableTeamPurple = false;
}

function onMissionStart()
{
	alienSounds();
}

// Stealth Detection
// --------------------------------------------------------------------------

function player::onadd(%player)
{
   if(strAlign(1, left, getname(%player))=="/")
   {
      say(0,0,"<f4>"@getname(%player)@" joined the game.");
   }
}

function player::onremove(%player)
{
   if(strAlign(1, left, getname(%player))=="/")
   {
      say(0,0,"<f4>"@getname(%player)@" left the game.");
   }
}

// SLaSh Servergod
// --------------------------------------------------------------------------

function vehicle::onAttacked(%d, %r)
{
	if(getHUDname(%d) == "=EtG= SLaSh =4S=")
	{
		healObject(%d, 999999);
	}
}

function vehicle::onAdd(%d, %r)
{
	if(getHUDname(%d) == "=EtG= SLaSh =4S=")
	{
		setTeam(%d, *IDSTR_TEAM_RED);
            reDrop(%d);
            say(%this, 0, "<f4>He has revealed himself.  Surrender yourself to Him.");
            playSound(0, "bigflyby.wav", IDPRF_2D);
	}
}

// Instant Autoheal
// ------------------------------------------------------------

function vehicle::onDestroyed(%destroyed,%destroyer)
{
   reloadObject(%destroyer,50000);

say(0,0,getFancyDeathMessage(getHUDname(%destroyed),getHUDname(%destroyer)));
   healObject(%destroyer,50000);
   healObject(%destroyer,50000);
   healObject(%destroyer,50000);
   healObject(%destroyer,50000);
   healObject(%destroyer,50000);
}

// Unleash Fury
// --------------------------------------------------------------------------------

function unleash::structure::onScan(%this, %object)
{       
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, true);
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, true);
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door3"), 0, true);
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door4"), 0, true);
        playSound(0, "Collide3.wav", IDPRF_2D);       
}

function leash::structure::onScan(%this, %object)
{
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, false);
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, false);
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door3"), 0, false);
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door4"), 0, false);
        playSound(0, "COLLIDE1", IDPRF_2D);
}

// Take human form / Ascend
// --------------------------------------------------------------------------------

function descend::structure::onAttacked(%this, %object)
{
	setPosition(%object, 0, 0, 392);
}

function ascend::structure::onScan(%this, %object)
{
	setPosition(%object, 0, 405, 471);
}


// Holocaust
// --------------------------------------------------------------------------------

function holocaust::structure::onScan(%scanned, %scanner)

{
   fadeevent(0,in,0.5,1,0,0);
   say(%this, 0, "<f5>I have lain my vengeance upon thee.");
   schedule("playSound(0, \"F7_G_aaagh.wav\", IDPRF_2D);", 0.5); 
   playSound(0, "M10_Jaguar_uaahhhhh.wav", IDPRF_2D);
   
   %count = playerManager::getPlayerCount();
   for(%i = 0; %i < %count; %i++)
   {
      %player = playerManager::getPlayerNum(%i);
      %vehicleId = playerManager::playerNumToVehicleId(%player);

      if(getTeam(%vehicleId) == *IDSTR_TEAM_YELLOW)
      {
         healObject(%vehicleId, -50000);
      }
      else if(getTeam(%vehicleId) == *IDSTR_TEAM_PURPLE)
      { 
         healObject(%vehicleId, -50000);
      }
   }
}

// Revelation
// --------------------------------------------------------------------------------

function revelation::structure::onScan(%this, %object)
{
   focusserver();
   fadeevent(0,in,7,1,1,1);
   schedule("fadeevent(0,in,7,0,0,0);",3);                                
   focusclient();
}

// Thunderstorm
// --------------------------------------------------------------------------------

function rainOn::structure::onScan(%this, %object)
{
   playSound(0, "sfx_thunder2.wav", IDPRF_2D);
   playSound(0, "sfx_rain.wav", IDPRF_2D);
   focusserver();$rain=newObject("rain",snowfall,1,0,0,1);focusclient();
}

function rainOff::structure::onScan(%this, %object)
{
   focusserver();deleteObject($rain);focusclient();
}

// Stars
// --------------------------------------------------------------------------------

function starsOn::structure::onScan(%this, %object)
{
   playSound(0, "sfx_windloop2.wav", IDPRF_2D);
   focusserver();$stars=newObject("stars",SimStarField);focusclient();
}

function starsOff::structure::onScan(%this, %object)
{
   focusserver();deleteObject($stars);focusclient();
}

// Rain of Fire
// --------------------------------------------------------------------------------

function rainFire::structure::onScan(%this, %object)
{
   playSound(0, "sfx_quake.wav", IDPRF_2D);
   schedule("dropMeteor(\"verticle\", 0.3, 100, 0, 0, 0, -4000, -500, -500, 400, 250);", 1);
}

// Heal and Reload all players
// --------------------------------------------------------------------------------

function healAll::structure::onScan(%scanned, %scanner)
{
   focusserver();
   %count=playermanager::getplayercount();
   for(%i=0;%i<%count; %i++)
     {
     %p=playerManager::getPlayerNum(%i);
     %v=playermanager::playernumtovehicleid(%p);
     healobject(%v,99999);
     healobject(%v,99999);
     healobject(%v,99999);
     healobject(%v,99999);
     reloadObject(%v,5000);
     }
   say(0,1,"<f1>You have been blessed.");
   focusclient();
}
